CVE-2004-1478
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2016-10-17 22:54:54
NMCO    

[原文]JRun 4.0 does not properly generate and handle the JSESSIONID, which allows remote attackers to perform a session fixation attack and hijack a user's HTTP session.


[CNNVD]Macromedia JRun管理平台会话补丁及跨站脚本漏洞(CNNVD-200412-281)

        
        Macromedia JRun是一款Macromedia公司开发的Java应用服务器,提供快速可靠的J2EE兼容平台。
        Macromedia JRun 4.0管理平台存在跨站脚本及会话固定错误,远程攻击者可以利用这个漏洞获得敏感信息或未授权访问应用系统。
        目前没有详细漏洞细节提供。JRun 3.x不存在此漏洞。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:hitachi:cosminexus_enterprise:01_02_2::standard
cpe:/a:hitachi:cosminexus_enterprise:01_02_2::enterprise
cpe:/a:macromedia:jrun:3.0Macromedia JRun 3.0
cpe:/a:macromedia:coldfusion:6.0Macromedia ColdFusion 6.0
cpe:/a:macromedia:coldfusion:6.1Macromedia ColdFusion MX 6.1
cpe:/a:hitachi:cosminexus_enterprise:01_01_1::enterprise
cpe:/a:macromedia:jrun:3.1Macromedia JRun 3.1
cpe:/a:macromedia:jrun:4.0Macromedia JRun 4.0
cpe:/a:hitachi:cosminexus_enterprise:01_01_1::standard
cpe:/a:hitachi:cosminexus_server:web_01-01_2
cpe:/a:hitachi:cosminexus_server:web_01-01_1
cpe:/a:macromedia:coldfusion:6.1::j2ee_application_server

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1478
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1478
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-281
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109621995623823&w=2
(UNKNOWN)  BUGTRAQ  20040923 New Macromedia Security Zone Bulletins Posted
http://www.kb.cert.org/vuls/id/584958
(VENDOR_ADVISORY)  CERT-VN  VU#584958
http://www.macromedia.com/devnet/security/security_zone/mpsb04-08.html
(PATCH)  CONFIRM  http://www.macromedia.com/devnet/security/security_zone/mpsb04-08.html
http://www.securityfocus.com/bid/11245
(PATCH)  BID  11245
http://xforce.iss.net/xforce/xfdb/17481
(PATCH)  XF  jrun-jsessionid-hijack(17481)

- 漏洞信息

Macromedia JRun管理平台会话补丁及跨站脚本漏洞
高危 设计错误
2004-12-31 00:00:00 2006-05-01 00:00:00
远程  
        
        Macromedia JRun是一款Macromedia公司开发的Java应用服务器,提供快速可靠的J2EE兼容平台。
        Macromedia JRun 4.0管理平台存在跨站脚本及会话固定错误,远程攻击者可以利用这个漏洞获得敏感信息或未授权访问应用系统。
        目前没有详细漏洞细节提供。JRun 3.x不存在此漏洞。
        

- 公告与补丁

        厂商补丁:
        Macromedia
        ----------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.macromedia.com/go/jrun_updater

- 漏洞信息

10238
Macromedia JRun Server JSESSIONID Generation Weakness
Remote / Network Access
Loss of Integrity

- 漏洞描述

JRun Server contains a flaw related to the generation of JESSIONIDs that may allow an attacker to steal a victim's session resulting in a loss of integrity. No further details have been provided.

- 时间线

2004-09-23 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known workarounds or upgrades to correct this issue. However, Macromedia has released a set of patches to address this vulnerability.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站